Subject: Setting a value always resets the field on mapping errors
Description

If I set a value on any field of the form it gets reset every time there
is a mapping error, so the user has to reenter the field every time.

Could easily be fixed by changing the order of the if-clause in
\TYPO3\Fluid\ViewHelpers\Form\AbstractFormFieldViewHelper::getValue

Related issues:
duplicated by TYPO3.Fluid - Bug # 47363: Error Classes are only set for form ... Closed 2013-04-18

History
#1 - 2012-02-22 16:29 - Kira Backes

Okay, it’s not that easy to just change the if-else order, then submit buttons disappear.. I guess we need another attribute for a start value like that or
we only use the submitted form data if it is not NULL.

#2 - 2012-02-22 16:53 - Bastian Waidelich

Hi Kira,

Please provide more information. Did you use one of the form viewhelpers (which one?) and bind it to a property of the form object? Can you provide
some (fluid) code snippets?

#3 - 2012-02-22 16:53 - Bastian Waidelich
- Status changed from New to Needs Feedback

#4 - 2012-04-24 10:14 - Sebastian Kurfuerst
- Status changed from Needs Feedback to Accepted
- Assigned To set to Sebastian Kurfuerst

OK; the automatic fill-in does is partly broken when not using object accessor mode.

Fix is underway.

#5 - 2012-04-24 10:18 - Gerrit Code Review
- Status changed from Accepted to Under Review

2015-08-03 1/2



Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10732

#6 - 2012-04-24 10:20 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10733

#7 - 2013-10-15 12:02 - Bastian Waidelich
- Category set to ViewHelpers
- Assigned To changed from Sebastian Kurfuerst to Bastian Waidelich

The mentioned review (http://review.typo3.org/10733) does not fix this. I'll take care asap

#8 - 2013-10-15 14:59 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24794

#9 - 2015-02-25 10:29 - Bastian Waidelich
- Status changed from Under Review to Closed

Truly sorry for the huge delay, this was a tricky one (because it is a breaking behavior).. But I just moved this to https://jira.typo3.org/browse/FLOW-213
and take care of it right now
